DropTargetEvent (Java SE 21 & JDK 21)
Description: declaration: module: java.desktop, package: java.awt.dnd, class: DropTargetEvent
Keywords: java.awt.dnd.DropTargetEvent class

Module java.desktop
Package java.awt.dnd

# Class DropTargetEvent

java.lang.Object
java.util.EventObject
java.awt.dnd.DropTargetEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DropTargetDragEvent`, `DropTargetDropEvent`

public class DropTargetEvent extends EventObject
The `DropTargetEvent` is the base class for both the `DropTargetDragEvent` and the `DropTargetDropEvent`. It encapsulates the current state of the Drag and Drop operations, in particular the current `DropTargetContext`.

Since:
  1.2
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DropTargetContext`
  `context`
  The `DropTargetContext` associated with this `DropTargetEvent`.

  ### Fields declared in class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DropTargetEvent(DropTargetContext dtc)`
  Construct a `DropTargetEvent` object with the specified `DropTargetContext`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DropTargetContext`
  `getDropTargetContext()`
  This method returns the `DropTargetContext` associated with this `DropTargetEvent`.

  ### Methods declared in class java.util.EventObject

  `getSource, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### context

    protected DropTargetContext context
    The `DropTargetContext` associated with this `DropTargetEvent`.

- ## Constructor Details

  - ### DropTargetEvent

    public DropTargetEvent(DropTargetContext dtc)
    Construct a `DropTargetEvent` object with the specified `DropTargetContext`.
    Parameters:
      `dtc` - The `DropTargetContext`
    Throws:
      `NullPointerException` - if `dtc` equals `null`.
    See Also:
      - `EventObject.getSource()`
      - `getDropTargetContext()`

- ## Method Details

  - ### getDropTargetContext

    public DropTargetContext getDropTargetContext()
    This method returns the `DropTargetContext` associated with this `DropTargetEvent`.
    Returns:
      the `DropTargetContext`